Admins
List admins
Returns a cursor-paginated list of company admins for the current company.
GET
/
api
/
v2025-06
/
admins
List admins
curl --request GET \
--url https://api.fluid.app/api/v2025-06/admins \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/v2025-06/admins"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/v2025-06/admins', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"admins": [
{
"id": 77012,
"legacy_user_company_id": 77012,
"username": "michael-scott",
"external_id": null,
"active": true,
"created_at": "2026-09-01T09:00:00Z",
"computed_full_name": "Michael Scott",
"computed_email": "michael.scott@dundermifflin.com",
"roles": [
"admin"
]
},
{
"id": 77018,
"legacy_user_company_id": 77018,
"username": "pam-beesly",
"external_id": "hr-2041",
"active": true,
"created_at": "2026-09-02T13:22:47Z",
"computed_full_name": "Pam Beesly",
"computed_email": "pam.beesly@dundermifflin.com",
"roles": [
"Office Administrator"
]
}
],
"status": 200,
"meta": {
"request_id": "c0a8012e-7f3b-4d6a-9e21-5b8d4f2a6c17",
"timestamp": "2026-09-30T14:15:22Z",
"pagination": {
"cursor": null,
"limit": 25,
"prev_cursor": null,
"next_cursor": null
}
}
}{
"message": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"cursor": "<string>",
"limit": 123,
"prev_cursor": "<string>",
"next_cursor": "<string>",
"total_count": 123
}
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"cursor": "<string>",
"limit": 123,
"prev_cursor": "<string>",
"next_cursor": "<string>",
"total_count": 123
}
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"cursor": "<string>",
"limit": 123,
"prev_cursor": "<string>",
"next_cursor": "<string>",
"total_count": 123
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Cursor token from the previous response page.
Number of admins to return.
Required range:
1 <= x <= 100Sort order. Prefix with - to reverse.
Available options:
created_at, -created_at, name, -name, username, -username, email, -email Restrict to active (true) or inactive (false) admins.
Free-text match across name, email, username, and external id.
Only admins created at or after this time.
Only admins created at or before this time.
⌘I
List admins
